javax.swing.event

## Class MouseInputAdapter

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.event.MouseInputAdapter

- All Implemented Interfaces:
    MouseListener, MouseMotionListener, MouseWheelListener, EventListener, MouseInputListener
  Direct Known Subclasses:
    BasicDesktopIconUI.MouseInputHandler, BasicInternalFrameUI.BorderListener, BasicSliderUI.TrackListener

      public abstract class MouseInputAdapter
      extends MouseAdapter
      implements MouseInputListener

  An empty implementation of the `MouseInputListener` interface, provided as a convenience to simplify the task of creating listeners, by extending and implementing only the methods of interest. This class also provides an empty implementation of the `MouseWheelListener` interface, through its extension from AWT's `MouseAdapter`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MouseInputAdapter()` |

  - ### Method Summary

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.MouseListener

      `mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

    - ### Methods inherited from interface java.awt.event.MouseMotionListener

      `mouseDragged, mouseMoved`

- - ### Constructor Detail

    - #### MouseInputAdapter

          public MouseInputAdapter()

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.